﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
      <Schema Namespace="Хранилище dbProductShopModel" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="BasketTable">
          <Key>
            <PropertyRef Name="BasketId" />
          </Key>
          <Property Name="BasketId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="DeliveryId" Type="int" Nullable="false" />
          <Property Name="CountBasket" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="CategoryTable">
          <Key>
            <PropertyRef Name="CategoryId" />
          </Key>
          <Property Name="CategoryId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="CategoryName" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="VATId" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="CheckTable">
          <Key>
            <PropertyRef Name="CheckId" />
          </Key>
          <Property Name="CheckId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="DateCheck" Type="date" Nullable="false" />
          <Property Name="SellerId" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="DeliveryTable">
          <Key>
            <PropertyRef Name="DeliveryId" />
          </Key>
          <Property Name="DeliveryId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="ProductId" Type="int" Nullable="false" />
          <Property Name="DateDelivery" Type="date" Nullable="false" />
          <Property Name="UnitPrice" Type="money" Nullable="false" />
          <Property Name="DateOfManufacture" Type="date" Nullable="false" />
          <Property Name="ShelfLife" Type="date" Nullable="false" />
          <Property Name="CountDelivery" Type="int" Nullable="false" />
          <Property Name="UnitId" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="ProductTable">
          <Key>
            <PropertyRef Name="ProductId" />
          </Key>
          <Property Name="ProductId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="ProductName" Type="varchar" MaxLength="100" Nullable="false" />
          <Property Name="CategoryId" Type="int" Nullable="false" />
          <Property Name="VendorId" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="RoleTable">
          <Key>
            <PropertyRef Name="RoleId" />
          </Key>
          <Property Name="RoleId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="NameRole" Type="varchar" MaxLength="50" Nullable="false" />
        </EntityType>
        <EntityType Name="SaleTable">
          <Key>
            <PropertyRef Name="SaleId" />
          </Key>
          <Property Name="SaleId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="DeliveryId" Type="int" Nullable="false" />
          <Property Name="PriceWithoutDiscount" Type="int" Nullable="false" />
          <Property Name="CountSale" Type="int" Nullable="false" />
          <Property Name="CheckId" Type="int" Nullable="false" />
          <Property Name="Discount" Type="tinyint" Nullable="false" />
          <Property Name="VATSale" Type="tinyint" Nullable="false" />
        </EntityType>
        <EntityType Name="sysdiagrams">
          <Key>
            <PropertyRef Name="diagram_id" />
          </Key>
          <Property Name="name" Type="nvarchar" MaxLength="128" Nullable="false" />
          <Property Name="principal_id" Type="int" Nullable="false" />
          <Property Name="diagram_id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="version" Type="int" />
          <Property Name="definition" Type="varbinary(max)" />
        </EntityType>
        <EntityType Name="UnitTable">
          <Key>
            <PropertyRef Name="UnitId" />
          </Key>
          <Property Name="UnitId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="NameUnit" Type="varchar" MaxLength="50" Nullable="false" />
        </EntityType>
        <EntityType Name="UserTable">
          <Key>
            <PropertyRef Name="UserId" />
          </Key>
          <Property Name="UserId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="UserLogin" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="UserPassword" Type="nchar" MaxLength="50" Nullable="false" />
          <Property Name="RoleId" Type="int" Nullable="false" />
          <Property Name="NameUser" Type="varchar" MaxLength="100" Nullable="false" />
        </EntityType>
        <EntityType Name="VATTable">
          <Key>
            <PropertyRef Name="VATId" />
          </Key>
          <Property Name="VATId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Percent" Type="tinyint" Nullable="false" />
        </EntityType>
        <EntityType Name="VendorTable">
          <Key>
            <PropertyRef Name="VendorId" />
          </Key>
          <Property Name="VendorId" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="VendorName" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="ContactPerson" Type="varchar" MaxLength="50" Nullable="false" />
          <Property Name="PhonNumber" Type="varchar" MaxLength="12" Nullable="false" />
          <Property Name="Adress" Type="varchar" MaxLength="50" Nullable="false" />
        </EntityType>
        <Association Name="FK_BasketTable_DeliveryTable">
          <End Role="DeliveryTable" Type="Self.DeliveryTable" Multiplicity="1" />
          <End Role="BasketTable" Type="Self.BasketTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DeliveryTable">
              <PropertyRef Name="DeliveryId" />
            </Principal>
            <Dependent Role="BasketTable">
              <PropertyRef Name="DeliveryId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_CategoryTable_VATTable">
          <End Role="VATTable" Type="Self.VATTable" Multiplicity="1" />
          <End Role="CategoryTable" Type="Self.CategoryTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="VATTable">
              <PropertyRef Name="VATId" />
            </Principal>
            <Dependent Role="CategoryTable">
              <PropertyRef Name="VATId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_CheckTable_UserTable">
          <End Role="UserTable" Type="Self.UserTable" Multiplicity="1" />
          <End Role="CheckTable" Type="Self.CheckTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="UserTable">
              <PropertyRef Name="UserId" />
            </Principal>
            <Dependent Role="CheckTable">
              <PropertyRef Name="SellerId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_DeliveryTable_ProductTable">
          <End Role="ProductTable" Type="Self.ProductTable" Multiplicity="1" />
          <End Role="DeliveryTable" Type="Self.DeliveryTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="ProductTable">
              <PropertyRef Name="ProductId" />
            </Principal>
            <Dependent Role="DeliveryTable">
              <PropertyRef Name="ProductId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_DeliveryTable_UnitTable">
          <End Role="UnitTable" Type="Self.UnitTable" Multiplicity="1" />
          <End Role="DeliveryTable" Type="Self.DeliveryTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="UnitTable">
              <PropertyRef Name="UnitId" />
            </Principal>
            <Dependent Role="DeliveryTable">
              <PropertyRef Name="UnitId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_ProductTable_CategoryTable">
          <End Role="CategoryTable" Type="Self.CategoryTable" Multiplicity="1" />
          <End Role="ProductTable" Type="Self.ProductTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="CategoryTable">
              <PropertyRef Name="CategoryId" />
            </Principal>
            <Dependent Role="ProductTable">
              <PropertyRef Name="CategoryId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_ProductTable_VendorTable">
          <End Role="VendorTable" Type="Self.VendorTable" Multiplicity="1" />
          <End Role="ProductTable" Type="Self.ProductTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="VendorTable">
              <PropertyRef Name="VendorId" />
            </Principal>
            <Dependent Role="ProductTable">
              <PropertyRef Name="VendorId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_SaleTable_CheckTable">
          <End Role="CheckTable" Type="Self.CheckTable" Multiplicity="1" />
          <End Role="SaleTable" Type="Self.SaleTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="CheckTable">
              <PropertyRef Name="CheckId" />
            </Principal>
            <Dependent Role="SaleTable">
              <PropertyRef Name="CheckId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_SaleTable_DeliveryTable">
          <End Role="DeliveryTable" Type="Self.DeliveryTable" Multiplicity="1" />
          <End Role="SaleTable" Type="Self.SaleTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DeliveryTable">
              <PropertyRef Name="DeliveryId" />
            </Principal>
            <Dependent Role="SaleTable">
              <PropertyRef Name="DeliveryId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_UserTable_RoleTable">
          <End Role="RoleTable" Type="Self.RoleTable" Multiplicity="1" />
          <End Role="UserTable" Type="Self.UserTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="RoleTable">
              <PropertyRef Name="RoleId" />
            </Principal>
            <Dependent Role="UserTable">
              <PropertyRef Name="RoleId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="Хранилище dbProductShopModelContainer">
          <EntitySet Name="BasketTable" EntityType="Self.BasketTable" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="CategoryTable" EntityType="Self.CategoryTable" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="CheckTable" EntityType="Self.CheckTable" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="DeliveryTable" EntityType="Self.DeliveryTable" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="ProductTable" EntityType="Self.ProductTable" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="RoleTable" EntityType="Self.RoleTable" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="SaleTable" EntityType="Self.SaleTable" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="sysdiagrams" EntityType="Self.sysdiagrams" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="UnitTable" EntityType="Self.UnitTable" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="UserTable" EntityType="Self.UserTable" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="VATTable" EntityType="Self.VATTable" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="VendorTable" EntityType="Self.VendorTable" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_BasketTable_DeliveryTable" Association="Self.FK_BasketTable_DeliveryTable">
            <End Role="DeliveryTable" EntitySet="DeliveryTable" />
            <End Role="BasketTable" EntitySet="BasketTable" />
          </AssociationSet>
          <AssociationSet Name="FK_CategoryTable_VATTable" Association="Self.FK_CategoryTable_VATTable">
            <End Role="VATTable" EntitySet="VATTable" />
            <End Role="CategoryTable" EntitySet="CategoryTable" />
          </AssociationSet>
          <AssociationSet Name="FK_CheckTable_UserTable" Association="Self.FK_CheckTable_UserTable">
            <End Role="UserTable" EntitySet="UserTable" />
            <End Role="CheckTable" EntitySet="CheckTable" />
          </AssociationSet>
          <AssociationSet Name="FK_DeliveryTable_ProductTable" Association="Self.FK_DeliveryTable_ProductTable">
            <End Role="ProductTable" EntitySet="ProductTable" />
            <End Role="DeliveryTable" EntitySet="DeliveryTable" />
          </AssociationSet>
          <AssociationSet Name="FK_DeliveryTable_UnitTable" Association="Self.FK_DeliveryTable_UnitTable">
            <End Role="UnitTable" EntitySet="UnitTable" />
            <End Role="DeliveryTable" EntitySet="DeliveryTable" />
          </AssociationSet>
          <AssociationSet Name="FK_ProductTable_CategoryTable" Association="Self.FK_ProductTable_CategoryTable">
            <End Role="CategoryTable" EntitySet="CategoryTable" />
            <End Role="ProductTable" EntitySet="ProductTable" />
          </AssociationSet>
          <AssociationSet Name="FK_ProductTable_VendorTable" Association="Self.FK_ProductTable_VendorTable">
            <End Role="VendorTable" EntitySet="VendorTable" />
            <End Role="ProductTable" EntitySet="ProductTable" />
          </AssociationSet>
          <AssociationSet Name="FK_SaleTable_CheckTable" Association="Self.FK_SaleTable_CheckTable">
            <End Role="CheckTable" EntitySet="CheckTable" />
            <End Role="SaleTable" EntitySet="SaleTable" />
          </AssociationSet>
          <AssociationSet Name="FK_SaleTable_DeliveryTable" Association="Self.FK_SaleTable_DeliveryTable">
            <End Role="DeliveryTable" EntitySet="DeliveryTable" />
            <End Role="SaleTable" EntitySet="SaleTable" />
          </AssociationSet>
          <AssociationSet Name="FK_UserTable_RoleTable" Association="Self.FK_UserTable_RoleTable">
            <End Role="RoleTable" EntitySet="RoleTable" />
            <End Role="UserTable" EntitySet="UserTable" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="dbProductShopModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="BasketTable">
          <Key>
            <PropertyRef Name="BasketId" />
          </Key>
          <Property Name="BasketId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="DeliveryId" Type="Int32" Nullable="false" />
          <Property Name="CountBasket" Type="Int32" Nullable="false" />
          <NavigationProperty Name="DeliveryTable" Relationship="Self.FK_BasketTable_DeliveryTable" FromRole="BasketTable" ToRole="DeliveryTable" />
        </EntityType>
        <EntityType Name="CategoryTable">
          <Key>
            <PropertyRef Name="CategoryId" />
          </Key>
          <Property Name="CategoryId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="CategoryName" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="VATId" Type="Int32" Nullable="false" />
          <NavigationProperty Name="VATTable" Relationship="Self.FK_CategoryTable_VATTable" FromRole="CategoryTable" ToRole="VATTable" />
          <NavigationProperty Name="ProductTable" Relationship="Self.FK_ProductTable_CategoryTable" FromRole="CategoryTable" ToRole="ProductTable" />
        </EntityType>
        <EntityType Name="CheckTable">
          <Key>
            <PropertyRef Name="CheckId" />
          </Key>
          <Property Name="CheckId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="DateCheck" Type="DateTime" Nullable="false" Precision="0" />
          <Property Name="SellerId" Type="Int32" Nullable="false" />
          <NavigationProperty Name="UserTable" Relationship="Self.FK_CheckTable_UserTable" FromRole="CheckTable" ToRole="UserTable" />
          <NavigationProperty Name="SaleTable" Relationship="Self.FK_SaleTable_CheckTable" FromRole="CheckTable" ToRole="SaleTable" />
        </EntityType>
        <EntityType Name="DeliveryTable">
          <Key>
            <PropertyRef Name="DeliveryId" />
          </Key>
          <Property Name="DeliveryId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="ProductId" Type="Int32" Nullable="false" />
          <Property Name="DateDelivery" Type="DateTime" Nullable="false" Precision="0" />
          <Property Name="UnitPrice" Type="Decimal" Precision="19" Scale="4" Nullable="false" />
          <Property Name="DateOfManufacture" Type="DateTime" Nullable="false" Precision="0" />
          <Property Name="ShelfLife" Type="DateTime" Nullable="false" Precision="0" />
          <Property Name="CountDelivery" Type="Int32" Nullable="false" />
          <Property Name="UnitId" Type="Int32" Nullable="false" />
          <NavigationProperty Name="BasketTable" Relationship="Self.FK_BasketTable_DeliveryTable" FromRole="DeliveryTable" ToRole="BasketTable" />
          <NavigationProperty Name="ProductTable" Relationship="Self.FK_DeliveryTable_ProductTable" FromRole="DeliveryTable" ToRole="ProductTable" />
          <NavigationProperty Name="UnitTable" Relationship="Self.FK_DeliveryTable_UnitTable" FromRole="DeliveryTable" ToRole="UnitTable" />
          <NavigationProperty Name="SaleTable" Relationship="Self.FK_SaleTable_DeliveryTable" FromRole="DeliveryTable" ToRole="SaleTable" />
        </EntityType>
        <EntityType Name="ProductTable">
          <Key>
            <PropertyRef Name="ProductId" />
          </Key>
          <Property Name="ProductId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="ProductName" Type="String" MaxLength="100" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="CategoryId" Type="Int32" Nullable="false" />
          <Property Name="VendorId" Type="Int32" Nullable="false" />
          <NavigationProperty Name="CategoryTable" Relationship="Self.FK_ProductTable_CategoryTable" FromRole="ProductTable" ToRole="CategoryTable" />
          <NavigationProperty Name="DeliveryTable" Relationship="Self.FK_DeliveryTable_ProductTable" FromRole="ProductTable" ToRole="DeliveryTable" />
          <NavigationProperty Name="VendorTable" Relationship="Self.FK_ProductTable_VendorTable" FromRole="ProductTable" ToRole="VendorTable" />
        </EntityType>
        <EntityType Name="RoleTable">
          <Key>
            <PropertyRef Name="RoleId" />
          </Key>
          <Property Name="RoleId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="NameRole" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <NavigationProperty Name="UserTable" Relationship="Self.FK_UserTable_RoleTable" FromRole="RoleTable" ToRole="UserTable" />
        </EntityType>
        <EntityType Name="SaleTable">
          <Key>
            <PropertyRef Name="SaleId" />
          </Key>
          <Property Name="SaleId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="DeliveryId" Type="Int32" Nullable="false" />
          <Property Name="PriceWithoutDiscount" Type="Int32" Nullable="false" />
          <Property Name="CountSale" Type="Int32" Nullable="false" />
          <Property Name="CheckId" Type="Int32" Nullable="false" />
          <Property Name="Discount" Type="Byte" Nullable="false" />
          <Property Name="VATSale" Type="Byte" Nullable="false" />
          <NavigationProperty Name="CheckTable" Relationship="Self.FK_SaleTable_CheckTable" FromRole="SaleTable" ToRole="CheckTable" />
          <NavigationProperty Name="DeliveryTable" Relationship="Self.FK_SaleTable_DeliveryTable" FromRole="SaleTable" ToRole="DeliveryTable" />
        </EntityType>
        <EntityType Name="sysdiagrams">
          <Key>
            <PropertyRef Name="diagram_id" />
          </Key>
          <Property Name="name" Type="String" MaxLength="128" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="principal_id" Type="Int32" Nullable="false" />
          <Property Name="diagram_id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="version" Type="Int32" />
          <Property Name="definition" Type="Binary" MaxLength="Max" FixedLength="false" />
        </EntityType>
        <EntityType Name="UnitTable">
          <Key>
            <PropertyRef Name="UnitId" />
          </Key>
          <Property Name="UnitId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="NameUnit" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <NavigationProperty Name="DeliveryTable" Relationship="Self.FK_DeliveryTable_UnitTable" FromRole="UnitTable" ToRole="DeliveryTable" />
        </EntityType>
        <EntityType Name="UserTable">
          <Key>
            <PropertyRef Name="UserId" />
          </Key>
          <Property Name="UserId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="UserLogin" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="UserPassword" Type="String" MaxLength="50" FixedLength="true" Unicode="true" Nullable="false" />
          <Property Name="RoleId" Type="Int32" Nullable="false" />
          <Property Name="NameUser" Type="String" MaxLength="100" FixedLength="false" Unicode="false" Nullable="false" />
          <NavigationProperty Name="CheckTable" Relationship="Self.FK_CheckTable_UserTable" FromRole="UserTable" ToRole="CheckTable" />
          <NavigationProperty Name="RoleTable" Relationship="Self.FK_UserTable_RoleTable" FromRole="UserTable" ToRole="RoleTable" />
        </EntityType>
        <EntityType Name="VATTable">
          <Key>
            <PropertyRef Name="VATId" />
          </Key>
          <Property Name="VATId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Percent" Type="Byte" Nullable="false" />
          <NavigationProperty Name="CategoryTable" Relationship="Self.FK_CategoryTable_VATTable" FromRole="VATTable" ToRole="CategoryTable" />
        </EntityType>
        <EntityType Name="VendorTable">
          <Key>
            <PropertyRef Name="VendorId" />
          </Key>
          <Property Name="VendorId" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="VendorName" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="ContactPerson" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="PhonNumber" Type="String" MaxLength="12" FixedLength="false" Unicode="false" Nullable="false" />
          <Property Name="Adress" Type="String" MaxLength="50" FixedLength="false" Unicode="false" Nullable="false" />
          <NavigationProperty Name="ProductTable" Relationship="Self.FK_ProductTable_VendorTable" FromRole="VendorTable" ToRole="ProductTable" />
        </EntityType>
        <Association Name="FK_BasketTable_DeliveryTable">
          <End Role="DeliveryTable" Type="Self.DeliveryTable" Multiplicity="1" />
          <End Role="BasketTable" Type="Self.BasketTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DeliveryTable">
              <PropertyRef Name="DeliveryId" />
            </Principal>
            <Dependent Role="BasketTable">
              <PropertyRef Name="DeliveryId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_CategoryTable_VATTable">
          <End Role="VATTable" Type="Self.VATTable" Multiplicity="1" />
          <End Role="CategoryTable" Type="Self.CategoryTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="VATTable">
              <PropertyRef Name="VATId" />
            </Principal>
            <Dependent Role="CategoryTable">
              <PropertyRef Name="VATId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_ProductTable_CategoryTable">
          <End Role="CategoryTable" Type="Self.CategoryTable" Multiplicity="1" />
          <End Role="ProductTable" Type="Self.ProductTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="CategoryTable">
              <PropertyRef Name="CategoryId" />
            </Principal>
            <Dependent Role="ProductTable">
              <PropertyRef Name="CategoryId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_CheckTable_UserTable">
          <End Role="UserTable" Type="Self.UserTable" Multiplicity="1" />
          <End Role="CheckTable" Type="Self.CheckTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="UserTable">
              <PropertyRef Name="UserId" />
            </Principal>
            <Dependent Role="CheckTable">
              <PropertyRef Name="SellerId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_SaleTable_CheckTable">
          <End Role="CheckTable" Type="Self.CheckTable" Multiplicity="1" />
          <End Role="SaleTable" Type="Self.SaleTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="CheckTable">
              <PropertyRef Name="CheckId" />
            </Principal>
            <Dependent Role="SaleTable">
              <PropertyRef Name="CheckId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_DeliveryTable_ProductTable">
          <End Role="ProductTable" Type="Self.ProductTable" Multiplicity="1" />
          <End Role="DeliveryTable" Type="Self.DeliveryTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="ProductTable">
              <PropertyRef Name="ProductId" />
            </Principal>
            <Dependent Role="DeliveryTable">
              <PropertyRef Name="ProductId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_DeliveryTable_UnitTable">
          <End Role="UnitTable" Type="Self.UnitTable" Multiplicity="1" />
          <End Role="DeliveryTable" Type="Self.DeliveryTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="UnitTable">
              <PropertyRef Name="UnitId" />
            </Principal>
            <Dependent Role="DeliveryTable">
              <PropertyRef Name="UnitId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_SaleTable_DeliveryTable">
          <End Role="DeliveryTable" Type="Self.DeliveryTable" Multiplicity="1" />
          <End Role="SaleTable" Type="Self.SaleTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="DeliveryTable">
              <PropertyRef Name="DeliveryId" />
            </Principal>
            <Dependent Role="SaleTable">
              <PropertyRef Name="DeliveryId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_ProductTable_VendorTable">
          <End Role="VendorTable" Type="Self.VendorTable" Multiplicity="1" />
          <End Role="ProductTable" Type="Self.ProductTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="VendorTable">
              <PropertyRef Name="VendorId" />
            </Principal>
            <Dependent Role="ProductTable">
              <PropertyRef Name="VendorId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_UserTable_RoleTable">
          <End Role="RoleTable" Type="Self.RoleTable" Multiplicity="1" />
          <End Role="UserTable" Type="Self.UserTable" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="RoleTable">
              <PropertyRef Name="RoleId" />
            </Principal>
            <Dependent Role="UserTable">
              <PropertyRef Name="RoleId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="dbProductShopEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="BasketTable" EntityType="Self.BasketTable" />
          <EntitySet Name="CategoryTable" EntityType="Self.CategoryTable" />
          <EntitySet Name="CheckTable" EntityType="Self.CheckTable" />
          <EntitySet Name="DeliveryTable" EntityType="Self.DeliveryTable" />
          <EntitySet Name="ProductTable" EntityType="Self.ProductTable" />
          <EntitySet Name="RoleTable" EntityType="Self.RoleTable" />
          <EntitySet Name="SaleTable" EntityType="Self.SaleTable" />
          <EntitySet Name="sysdiagrams" EntityType="Self.sysdiagrams" />
          <EntitySet Name="UnitTable" EntityType="Self.UnitTable" />
          <EntitySet Name="UserTable" EntityType="Self.UserTable" />
          <EntitySet Name="VATTable" EntityType="Self.VATTable" />
          <EntitySet Name="VendorTable" EntityType="Self.VendorTable" />
          <AssociationSet Name="FK_BasketTable_DeliveryTable" Association="Self.FK_BasketTable_DeliveryTable">
            <End Role="DeliveryTable" EntitySet="DeliveryTable" />
            <End Role="BasketTable" EntitySet="BasketTable" />
          </AssociationSet>
          <AssociationSet Name="FK_CategoryTable_VATTable" Association="Self.FK_CategoryTable_VATTable">
            <End Role="VATTable" EntitySet="VATTable" />
            <End Role="CategoryTable" EntitySet="CategoryTable" />
          </AssociationSet>
          <AssociationSet Name="FK_ProductTable_CategoryTable" Association="Self.FK_ProductTable_CategoryTable">
            <End Role="CategoryTable" EntitySet="CategoryTable" />
            <End Role="ProductTable" EntitySet="ProductTable" />
          </AssociationSet>
          <AssociationSet Name="FK_CheckTable_UserTable" Association="Self.FK_CheckTable_UserTable">
            <End Role="UserTable" EntitySet="UserTable" />
            <End Role="CheckTable" EntitySet="CheckTable" />
          </AssociationSet>
          <AssociationSet Name="FK_SaleTable_CheckTable" Association="Self.FK_SaleTable_CheckTable">
            <End Role="CheckTable" EntitySet="CheckTable" />
            <End Role="SaleTable" EntitySet="SaleTable" />
          </AssociationSet>
          <AssociationSet Name="FK_DeliveryTable_ProductTable" Association="Self.FK_DeliveryTable_ProductTable">
            <End Role="ProductTable" EntitySet="ProductTable" />
            <End Role="DeliveryTable" EntitySet="DeliveryTable" />
          </AssociationSet>
          <AssociationSet Name="FK_DeliveryTable_UnitTable" Association="Self.FK_DeliveryTable_UnitTable">
            <End Role="UnitTable" EntitySet="UnitTable" />
            <End Role="DeliveryTable" EntitySet="DeliveryTable" />
          </AssociationSet>
          <AssociationSet Name="FK_SaleTable_DeliveryTable" Association="Self.FK_SaleTable_DeliveryTable">
            <End Role="DeliveryTable" EntitySet="DeliveryTable" />
            <End Role="SaleTable" EntitySet="SaleTable" />
          </AssociationSet>
          <AssociationSet Name="FK_ProductTable_VendorTable" Association="Self.FK_ProductTable_VendorTable">
            <End Role="VendorTable" EntitySet="VendorTable" />
            <End Role="ProductTable" EntitySet="ProductTable" />
          </AssociationSet>
          <AssociationSet Name="FK_UserTable_RoleTable" Association="Self.FK_UserTable_RoleTable">
            <End Role="RoleTable" EntitySet="RoleTable" />
            <End Role="UserTable" EntitySet="UserTable" />
          </AssociationSet>
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="Хранилище dbProductShopModelContainer" CdmEntityContainer="dbProductShopEntities">
          <EntitySetMapping Name="BasketTable">
            <EntityTypeMapping TypeName="dbProductShopModel.BasketTable">
              <MappingFragment StoreEntitySet="BasketTable">
                <ScalarProperty Name="BasketId" ColumnName="BasketId" />
                <ScalarProperty Name="DeliveryId" ColumnName="DeliveryId" />
                <ScalarProperty Name="CountBasket" ColumnName="CountBasket" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="CategoryTable">
            <EntityTypeMapping TypeName="dbProductShopModel.CategoryTable">
              <MappingFragment StoreEntitySet="CategoryTable">
                <ScalarProperty Name="CategoryId" ColumnName="CategoryId" />
                <ScalarProperty Name="CategoryName" ColumnName="CategoryName" />
                <ScalarProperty Name="VATId" ColumnName="VATId" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="CheckTable">
            <EntityTypeMapping TypeName="dbProductShopModel.CheckTable">
              <MappingFragment StoreEntitySet="CheckTable">
                <ScalarProperty Name="CheckId" ColumnName="CheckId" />
                <ScalarProperty Name="DateCheck" ColumnName="DateCheck" />
                <ScalarProperty Name="SellerId" ColumnName="SellerId" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="DeliveryTable">
            <EntityTypeMapping TypeName="dbProductShopModel.DeliveryTable">
              <MappingFragment StoreEntitySet="DeliveryTable">
                <ScalarProperty Name="DeliveryId" ColumnName="DeliveryId" />
                <ScalarProperty Name="ProductId" ColumnName="ProductId" />
                <ScalarProperty Name="DateDelivery" ColumnName="DateDelivery" />
                <ScalarProperty Name="UnitPrice" ColumnName="UnitPrice" />
                <ScalarProperty Name="DateOfManufacture" ColumnName="DateOfManufacture" />
                <ScalarProperty Name="ShelfLife" ColumnName="ShelfLife" />
                <ScalarProperty Name="CountDelivery" ColumnName="CountDelivery" />
                <ScalarProperty Name="UnitId" ColumnName="UnitId" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="ProductTable">
            <EntityTypeMapping TypeName="dbProductShopModel.ProductTable">
              <MappingFragment StoreEntitySet="ProductTable">
                <ScalarProperty Name="ProductId" ColumnName="ProductId" />
                <ScalarProperty Name="ProductName" ColumnName="ProductName" />
                <ScalarProperty Name="CategoryId" ColumnName="CategoryId" />
                <ScalarProperty Name="VendorId" ColumnName="VendorId" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="RoleTable">
            <EntityTypeMapping TypeName="dbProductShopModel.RoleTable">
              <MappingFragment StoreEntitySet="RoleTable">
                <ScalarProperty Name="RoleId" ColumnName="RoleId" />
                <ScalarProperty Name="NameRole" ColumnName="NameRole" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="SaleTable">
            <EntityTypeMapping TypeName="dbProductShopModel.SaleTable">
              <MappingFragment StoreEntitySet="SaleTable">
                <ScalarProperty Name="SaleId" ColumnName="SaleId" />
                <ScalarProperty Name="DeliveryId" ColumnName="DeliveryId" />
                <ScalarProperty Name="PriceWithoutDiscount" ColumnName="PriceWithoutDiscount" />
                <ScalarProperty Name="CountSale" ColumnName="CountSale" />
                <ScalarProperty Name="CheckId" ColumnName="CheckId" />
                <ScalarProperty Name="Discount" ColumnName="Discount" />
                <ScalarProperty Name="VATSale" ColumnName="VATSale" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="sysdiagrams">
            <EntityTypeMapping TypeName="dbProductShopModel.sysdiagrams">
              <MappingFragment StoreEntitySet="sysdiagrams">
                <ScalarProperty Name="name" ColumnName="name" />
                <ScalarProperty Name="principal_id" ColumnName="principal_id" />
                <ScalarProperty Name="diagram_id" ColumnName="diagram_id" />
                <ScalarProperty Name="version" ColumnName="version" />
                <ScalarProperty Name="definition" ColumnName="definition" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="UnitTable">
            <EntityTypeMapping TypeName="dbProductShopModel.UnitTable">
              <MappingFragment StoreEntitySet="UnitTable">
                <ScalarProperty Name="UnitId" ColumnName="UnitId" />
                <ScalarProperty Name="NameUnit" ColumnName="NameUnit" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="UserTable">
            <EntityTypeMapping TypeName="dbProductShopModel.UserTable">
              <MappingFragment StoreEntitySet="UserTable">
                <ScalarProperty Name="UserId" ColumnName="UserId" />
                <ScalarProperty Name="UserLogin" ColumnName="UserLogin" />
                <ScalarProperty Name="UserPassword" ColumnName="UserPassword" />
                <ScalarProperty Name="RoleId" ColumnName="RoleId" />
                <ScalarProperty Name="NameUser" ColumnName="NameUser" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="VATTable">
            <EntityTypeMapping TypeName="dbProductShopModel.VATTable">
              <MappingFragment StoreEntitySet="VATTable">
                <ScalarProperty Name="VATId" ColumnName="VATId" />
                <ScalarProperty Name="Percent" ColumnName="Percent" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="VendorTable">
            <EntityTypeMapping TypeName="dbProductShopModel.VendorTable">
              <MappingFragment StoreEntitySet="VendorTable">
                <ScalarProperty Name="VendorId" ColumnName="VendorId" />
                <ScalarProperty Name="VendorName" ColumnName="VendorName" />
                <ScalarProperty Name="ContactPerson" ColumnName="ContactPerson" />
                <ScalarProperty Name="PhonNumber" ColumnName="PhonNumber" />
                <ScalarProperty Name="Adress" ColumnName="Adress" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="false" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="Нет" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>